"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTargets = createTargets;
const promises_1 = require("node:fs/promises");
const constants_js_1 = require("../constants.js");
const configuration_target_js_1 = require("./configuration-target.js");
const constants_js_2 = require("./constants.js");
const executor_target_js_1 = require("./executor-target.js");
async function createTargets(normalizedContext) {
    const { targetName = constants_js_1.CP_TARGET_NAME, bin, projectPrefix, } = normalizedContext.createOptions;
    const rootFiles = await (0, promises_1.readdir)(normalizedContext.projectRoot);
    return rootFiles.some(filename => filename.match(constants_js_2.CODE_PUSHUP_CONFIG_REGEX))
        ? {
            [targetName]: (0, executor_target_js_1.createExecutorTarget)({ bin, projectPrefix }),
        }
        : // if NO code-pushup.config.*.(ts|js|mjs) is present return configuration target
            {
                [`${targetName}--configuration`]: (0, configuration_target_js_1.createConfigurationTarget)({
                    targetName,
                    projectName: normalizedContext.projectJson.name,
                    bin,
                }),
            };
}
//# sourceMappingURL=targets.js.map